3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php class x implements splobserver { public function update($subject) {} }
Output for 7.2.0
Output for 7.0.0 - 7.1.10
Fatal error: Declaration of x::update($subject) must be compatible with SplObserver::update(SplSubject $SplSubject) in /in/sagGf on line 3
Process exited with code 255.
Output for 5.4.11 - 5.6.28
Fatal error: Declaration of x::update() must be compatible with SplObserver::update(SplSubject $SplSubject) in /in/sagGf on line 3
Process exited with code 255.
Output for 5.3.21 - 5.3.29
Fatal error: Declaration of x::update() must be compatible with that of SplObserver::update() in /in/sagGf on line 3
Process exited with code 255.